coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}2609170000

How to get categories

KRTW
# 01

簡介

How to get categories

# 02

詳細內容

Available buyer market: Korean

You can get category details by calling this api with a displayCategoryCode value.

To get "Depth 1" categories, use "0" as the displayCategoryCode.

路徑

GET/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/{displayCategoryCode}

範例端點

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/meta/display-categories/0
# 03

Path 參數

NameTypeDescription
displayCategoryCode*string
display category code
# 04

回應內容

回應訊息

NameTypeDescription
codestring
results code
SUCCESS/ERROR
messagestring
message
dataobject
display category list
repeats N times, as many as the resulting display categories
displayItemCategoryCode
data.displayItemCategoryCode
integer
name
data.name
string
display category name
status
data.status
string
display category status
Status Description
ACTIVE in service
READY not yet in service (coming soon)
DISABLED not in service
child
data.child
object[]
sub-category that is displayed to the customers
It shows the list of sub-categories that are one depth lower than the given category code (does not show two+ depths lower child categories).
If it doesn't have any child category, null or blank will be returned.
To get "Depth 1" categories, use "0" as the displayCategoryCode.
displayItemCategoryCode
data.child[].displayItemCategoryCode
integer
name
data.child[].name
string
status
data.child[].status
string
child
data.child[].child
object[]

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": {
    "displayItemCategoryCode": 0,
    "name": "ROOT",
    "status": "ACTIVE",
    "child": [
      {
        "displayItemCategoryCode": 77834,
        "name": "가구/홈데코",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 62588,
        "name": "가전/디지털",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 66679,
        "name": "도서",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 79648,
        "name": "문구/오피스",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 65799,
        "name": "반려/애완용품",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 56112,
        "name": "뷰티",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 63897,
        "name": "생활용품",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 103371,
        "name": "스포츠/레져",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 59258,
        "name": "식품",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 102984,
        "name": "완구/취미",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 79138,
        "name": "음반/DVD",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 78647,
        "name": "자동차용품",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 80285,
        "name": "주방용품",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 76844,
        "name": "출산/유아동",
        "status": "ACTIVE",
        "child": []
      },
      {
        "displayItemCategoryCode": 69182,
        "name": "패션의류잡화",
        "status": "ACTIVE",
        "child": []
      }
    ]
  }
}
# 05

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
400400 (check parameter requested)

Cannot find display category [****]. Please check display category code.

See if you have entered a valid display category code.

400400 (check parameter requested)

Display category code should be numeric.

See if you have entered a valid display category. Display category code is composed of numbers only.